Subject: ARM compile failure in Re: linux-next: Tree for Apr 4

From: [email-masked] (Tony Lindgren)
Date: Wed, 4 Apr 2018 12:59:51 -0700

* Pavel Machek <[email-masked]> [180404 18:47]:
> Hi!
> 
> > > When trying to build kernel for N900, I get:
> > > 
> > >   CC      lib/timerqueue.o
> > >     CC      lib/vsprintf.o
> > >     lib/string.c: In function 'strstr':
> > >     lib/string.c:478:8: error: inlining failed in call to
> > >     always_inline 'strlen': function not inlinable
> > >     lib/string.c:903:5: error: called from here
> > >     lib/string.c:478:8: error: inlining failed in call to
> > >     always_inline 'strlen': function not inlinable
> > >     lib/string.c:906:5: error: called from here
> > >     lib/string.c:855:15: error: inlining failed in call to
> > >     always_inline 'memcmp': function not inlinable
> > >     ...
> > > pavel at duo:/data/l/linux-next-n900$ git branch -l
> > > * (detached from next-20180403)
> > > 
> > > I'm using
> > > 
> > > eval ` eldk-switch.sh -r 5.4 armv7a`
> > > 
> > > for cross-compilation.
> > 
> > Hmm I'm not seeing build issues with next-20180404, did this somehow
> > already get sorted out?
> 
> It seems it is config-dependend. omap2plus_defconfig compiles ok for
> me.
> 
> Can you try with attached .config?

That still builds for me. This with plain gcc-7.3.0 binutils-2.30
built with buildall script.

Regards,

Tony